package service

import (
	"context"
	"fmt"
	md3 "gim/internal/logic/domain/message/md"
	"testing"

	jsoniter "github.com/json-iterator/go"
)

func TestMessageService_Add(t *testing.T) {

}

func TestMessageService_ListByUserIdAndSequence(t *testing.T) {

}

func TestJson(t *testing.T) {
	var st = struct {
		Nickname string `json:"nickname"`
	}{}

	json := `{
	"user_id":3,
	"nickname":"h",
	"sex":2,
	"avatar_url":"no",
	"extra":{"nickname":"hjkladsjfkl"}
}`
	jsoniter.Get([]byte(json), "extra").ToVal(&st)
	fmt.Println(st)
}

func Test_messageService_Sync(t *testing.T) {
	resp, err := MessageService.Sync(context.TODO(), 6, 0)
	fmt.Println(err)
	fmt.Println(resp.HasMore)
	fmt.Println(len(resp.Messages))
}

func Test_CommAddPush(t *testing.T) {
	CommAddPush(md3.PushParams{
		MasterId:          "123456",
		Uid:               "123",
		PushAlia:          "22255132_21702",
		Title:             "测试",
		Content:           "您收到一条新消息，来自会员[消息发送者-会员昵称],发送时间[时间],消息类型[消息类型],备注[备注]",
		PushType:          "gim",
		MessageType:       "text",
		SendUserNickname:  "fsahfjs",
		SendUserAvatarUrl: "fafsd",
		Memo:              "fasf",
		Times:             "sadff",
	})
}
